Last Comment Bug 691681 - Build warning in gfx/angle/src/compiler/ParseHelper.h file (-Wreorder)
: Build warning in gfx/angle/src/compiler/ParseHelper.h file (-Wreorder)
Status: RESOLVED FIXED
warning
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 702978
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 23:59 PDT by Atul Aggarwal
Modified: 2011-11-16 09:08 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Atul Aggarwal 2011-10-03 23:59:35 PDT
/home/xxx/mozilla/mozilla-central/gfx/angle/src/compiler/ParseHelper.h:33:5: warning:   when initialized here [-Wreorder]
/home/xxx/mozilla/mozilla-central/gfx/angle/src/compiler/ParseHelper.h:52:10: warning: TParseContext::checksPrecisionErrors\u2019 will be initialized after [-Wreorder]
/home/xxx/mozilla/mozilla-central/gfx/angle/src/compiler/ParseHelper.h:44:17: warning: const char* TParseContext::sourcePath\u2019 [-Wreorder]
Comment 1 Atul Aggarwal 2011-10-04 20:44:23 PDT
I have patch ready which fixes this warning but does the patch needs to be submitted upstream?
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2011-10-05 05:24:53 PDT
Yes please. http://code.google.com/p/angleproject/issues/entry
Comment 3 Atul Aggarwal 2011-10-31 01:34:27 PDT
This problem is already resolved in the trunk of angle. Whenever we pick new version of angle, this warning will be resolved.
Should we close this bug or wait till integrating new version of angleproject?
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2011-11-02 11:18:31 PDT
We're on ANGLE r809 now.

Note You need to log in before you can comment on or make changes to this bug.